#!/usr/bin/env bash

mkdir cmake-build-release
cd cmake-build-release
cmake .. -DCMAKE_BUILD_TYPE=RELEASE -DTHREAD_SANITIZER=OFF
make

# run the actual tests
echo "Running tests..."
./bin/tests
echo "...tests passed!"
